Summary:         Drive and jump with some kind of car across the moon
Name:            moon-buggy
Version:         1.0.51
Release:         2%{?dist}
License:         GPL+
URL:             https://seehuhn.de/pages/%{name}
Source0:         https://seehuhn.de/media/programs/%{name}-%{version}.tar.gz
Source1:         https://seehuhn.de/media/programs/%{name}-sound-%{version}.tar.gz
Source2:         %{name}.desktop
Source3:         %{name}-sound.desktop
Patch0:          moon-buggy-1.0.51-pause.patch
Patch1:          moon-buggy-1.0.51-sound.patch
BuildRequires:   gcc, make, ncurses-devel, texinfo
%if 0%{!?_without_sound:1}
BuildRequires:   esound-devel, desktop-file-utils, autoconf, automake
%endif

%description
Moon-buggy is a simple character graphics game where you drive some kind
of car across the moon's surface. Unfortunately there are dangerous craters
there. Fortunately your car can jump over them! 

The game has some resemblance of the classic arcade game moon-patrol which
was released in 1982. A clone of this game was released for the Commodore
C64 in 1983. The present, ASCII art version of moon-buggy was written many
years later by Jochen Voss.

%prep
%setup -q -a 1
%patch0 -p1 -b .pause
%if 0%{!?_without_sound:1}
%patch1 -p1 -b .sound
mv -f %{name}-%{version}/* .
autoreconf -f -i
%endif

%build
%configure --sharedstatedir=%{_localstatedir}/games
%make_build

%install
%make_install

touch %{buildroot}%{_localstatedir}/games/%{name}/mbscore

%if 0%{!?_without_sound:1}
desktop-file-install --vendor "" --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}
desktop-file-install --vendor "" --dir=%{buildroot}%{_datadir}/applications %{SOURCE3}

install -D -p -m 644 %{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%endif

rm -f %{buildroot}%{_infodir}/dir

iconv -f iso-8859-1 -t utf-8 -o ChangeLog.utf8 ChangeLog
sed -i 's|\r$||g' ChangeLog.utf8
touch -c -r ChangeLog ChangeLog.utf8
mv -f ChangeLog.utf8 ChangeLog

iconv -f iso-8859-1 -t utf-8 -o TODO.utf8 TODO
sed -i 's|\r$||g' TODO.utf8
touch -c -r TODO TODO.utf8
mv -f TODO.utf8 TODO


%files 
%license COPYING
%doc ANNOUNCE AUTHORS ChangeLog README THANKS
%if 0%{!?_without_sound:1}
%doc README.sound
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-sound.desktop
%endif
%attr(2755,root,games) %{_bindir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_infodir}/%{name}.info.*
%attr(0775,root,games) %{_localstatedir}/games/%{name}
%verify(not md5 size mtime) %config(noreplace) %attr(664,root,games) %{_localstatedir}/games/%{name}/mbscore

%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.51-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.51-1
- initial build
